Commentary (v2)
curl --request GET \
--globoff \
--url 'https://apiv2.sportxapi.com/cricket/api/v2/match/{}/commentary' \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://apiv2.sportxapi.com/cricket/api/v2/match/{}/commentary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://apiv2.sportxapi.com/cricket/api/v2/match/{}/commentary"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"ballType": "wicketWidget",
"ballID": "1871",
"matchID": "98697",
"ballNumber": "1",
"innings": "1",
"over": "87.1",
"origOver": "87.1",
"overNumber": "88",
"commentary": "Mohammad Sayyam to Jack Auld, no run, c F Yousaf b M Sayyam,",
"teamID": "1038",
"teamName": "England Under-19s",
"teamShortName": "ENG-U19",
"teamImage": "https://cdn.sportxapi.com/assets/uploads/2023/05/England.png?_sxcdn=20260831",
"runs": "0",
"batsmanID": "155829",
"bowlerID": "152900",
"batsmanName": "Jack Auld",
"bowlerName": "Mohammad Sayyam",
"wicket": true,
"type": "W",
"battingStyle": null,
"currentDay": 1,
"currentSession": 1,
"matchType": "TEST",
"isLastBall": false,
"summary": {
"score": "337/10",
"over": "87.1",
"runs": "0W",
"wickets": "1",
"batsmen": [
{
"batsmanName": "Jack Auld",
"onStrike": true,
"runs": "7",
"balls": "23",
"fours": "1",
"sixes": "0",
"playerID": "155829",
"playerImage": null
},
{
"batsmanName": "Nirvan Ramesh",
"onStrike": false,
"runs": "3",
"balls": "20",
"fours": "0",
"sixes": "0",
"playerID": "151259",
"playerImage": null
}
],
"bowler": [
{
"bowlerName": "Mohammad Sayyam",
"overs": "19.1",
"maidens": "5",
"runs": "60",
"wickets": "2",
"playerID": "152900",
"playerImage": null
}
],
"teamShortName": "ENG-U19"
},
"dismissed": "Jack Auld",
"wicketType": "wicket"
},
{
"id": 18710,
"over": "87.1",
"origOver": "87.1",
"overNumber": "88",
"ballType": "ball",
"type": "W",
"isBall": true,
"runs": "0W",
"bowlerName": "Mohammad Sayyam",
"batsmanName": "Jack Auld",
"battingStyle": null,
"commentary": "Mohammad Sayyam to Jack Auld, no run, c F Yousaf b M Sayyam,",
"wicket": true,
"isLastBall": false,
"batsmanID": "155829",
"batsmanImage": null,
"bowlerID": "152900",
"bowlerImage": null,
"innings": "1",
"teamID": "1038",
"teamName": "England Under-19s",
"teamShortName": "ENG-U19",
"teamImage": "https://cdn.sportxapi.com/assets/uploads/2023/05/England.png?_sxcdn=20260831"
}
]{
"error": "Unauthorized: Missing or invalid API key"
}{
"error": "Quota limit exceeded for current billing cycle"
}Live Matches & Ball-by-Ball
Commentary (v2)
Text commentary page, filterable by innings and over range.
GET
/
cricket
/
api
/
v2
/
match
/
{}
/
commentary
Commentary (v2)
curl --request GET \
--globoff \
--url 'https://apiv2.sportxapi.com/cricket/api/v2/match/{}/commentary' \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://apiv2.sportxapi.com/cricket/api/v2/match/{}/commentary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://apiv2.sportxapi.com/cricket/api/v2/match/{}/commentary"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"ballType": "wicketWidget",
"ballID": "1871",
"matchID": "98697",
"ballNumber": "1",
"innings": "1",
"over": "87.1",
"origOver": "87.1",
"overNumber": "88",
"commentary": "Mohammad Sayyam to Jack Auld, no run, c F Yousaf b M Sayyam,",
"teamID": "1038",
"teamName": "England Under-19s",
"teamShortName": "ENG-U19",
"teamImage": "https://cdn.sportxapi.com/assets/uploads/2023/05/England.png?_sxcdn=20260831",
"runs": "0",
"batsmanID": "155829",
"bowlerID": "152900",
"batsmanName": "Jack Auld",
"bowlerName": "Mohammad Sayyam",
"wicket": true,
"type": "W",
"battingStyle": null,
"currentDay": 1,
"currentSession": 1,
"matchType": "TEST",
"isLastBall": false,
"summary": {
"score": "337/10",
"over": "87.1",
"runs": "0W",
"wickets": "1",
"batsmen": [
{
"batsmanName": "Jack Auld",
"onStrike": true,
"runs": "7",
"balls": "23",
"fours": "1",
"sixes": "0",
"playerID": "155829",
"playerImage": null
},
{
"batsmanName": "Nirvan Ramesh",
"onStrike": false,
"runs": "3",
"balls": "20",
"fours": "0",
"sixes": "0",
"playerID": "151259",
"playerImage": null
}
],
"bowler": [
{
"bowlerName": "Mohammad Sayyam",
"overs": "19.1",
"maidens": "5",
"runs": "60",
"wickets": "2",
"playerID": "152900",
"playerImage": null
}
],
"teamShortName": "ENG-U19"
},
"dismissed": "Jack Auld",
"wicketType": "wicket"
},
{
"id": 18710,
"over": "87.1",
"origOver": "87.1",
"overNumber": "88",
"ballType": "ball",
"type": "W",
"isBall": true,
"runs": "0W",
"bowlerName": "Mohammad Sayyam",
"batsmanName": "Jack Auld",
"battingStyle": null,
"commentary": "Mohammad Sayyam to Jack Auld, no run, c F Yousaf b M Sayyam,",
"wicket": true,
"isLastBall": false,
"batsmanID": "155829",
"batsmanImage": null,
"bowlerID": "152900",
"bowlerImage": null,
"innings": "1",
"teamID": "1038",
"teamName": "England Under-19s",
"teamShortName": "ENG-U19",
"teamImage": "https://cdn.sportxapi.com/assets/uploads/2023/05/England.png?_sxcdn=20260831"
}
]{
"error": "Unauthorized: Missing or invalid API key"
}{
"error": "Quota limit exceeded for current billing cycle"
}Authorizations
Your SportXAPI secret key from the customer dashboard.
Path Parameters
Match identifier.
Example:
"100123"
Query Parameters
Innings selection.
Example:
"1"
Start over (decimal).
Example:
"1"
End over (decimal).
Example:
"10"
Cursor/commentary id.
Example:
""
Alternative cursor.
Example:
""
Response
Successful Response (JSON)
